%define module cabalrpmdeps

Name: haskell-%{module}
Version: 0.0.4
Release: %mkrel 5
Summary: Tools to build rpm dependencies from Cabal
Group: Development/Other
License: LGPL
Url: http://nanardon.zarb.org/darcsweb/darcsweb.cgi?r=haskell-CabalRpmDeps;a=summary
Source: http://hackage.haskell.org/packages/archive/%{module}/%{module}-%{version}.tar.gz
BuildRoot: %_tmppath/%name-%version-%release-root
BuildRequires: ghc
BuildRequires: haddock
Provides: haskell(%{module}) = %version
# We don't use it to avoid dependencies loop !!
# BuildRequires: haskell-macros

%description
Tools to build rpm dependencies from Cabal

%package -n %{module}
Summary: Tools to build rpm dependencies from Cabal
Group: Development/Other

%description -n %{module}
Tools to build rpm dependencies from Cabal

%prep
%setup -q -n %{module}-%{version}

%build
runhaskell Setup.hs configure --prefix=%{_prefix}
runhaskell Setup.hs build
runhaskell Setup.hs haddock

%check
runhaskell Setup.hs test

%install
runhaskell Setup.hs copy --destdir=%{buildroot}

runhaskell Setup.hs   register --gen-script
runhaskell Setup.hs unregister --gen-script

rm -fr %{buildroot}/%_datadir/*

%triggerin -f   register.sh -- ghc
%triggerun -f unregister.sh -- ghc

%files
%defattr(-,root,root)
%doc dist/doc/html
%_libdir/*

%files -n %{module}
%defattr(-,root,root)
%_bindir/*

%clean
rm -fr %buildroot




%changelog
* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.0.4-5mdv2011.0
+ Revision: 611058
- rebuild

* Wed Feb 10 2010 Funda Wang <fwang@mandriva.org> 0.0.4-4mdv2010.1
+ Revision: 503650
- rebuild

* Sun Nov 08 2009 Olivier Thauvin <nanardon@mandriva.org> 0.0.4-3mdv2010.1
+ Revision: 463198
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Thu Dec 04 2008 Olivier Thauvin <nanardon@mandriva.org> 0.0.4-1mdv2009.1
+ Revision: 309891
- 0.0.4 (new ghc)

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Thu Mar 15 2007 Olivier Thauvin <nanardon@mandriva.org> 0.0.3-2mdv2007.1
+ Revision: 143912
- add provide
- 0.0.3

* Sat Mar 10 2007 Olivier Thauvin <nanardon@mandriva.org> 0.0.2-1mdv2007.1
+ Revision: 140870
- Import haskell-cabalrpmdeps

